//@ts-check
"use strict";

/**
@typedef Boat
@type {{
  pos: PIXI.Point;
  pixiRoot: PIXI.Container;
  sprite: PIXI.Sprite;
}}
*/

/**
 * @param {World} world 
 * @param {{ x: Number; y: Number;}} pos 
 */
function createBoat(world, pos) {
  const pixiRoot = new PIXI.Container();
  pixiRoot.scale.set(inverseTileSize);
  pixiRoot.position.set(pos.x, pos.y);
  world.pixiLayers["water"].entitiesContainer.addChild(pixiRoot);

  const sprite = new PIXI.Sprite(app.loader.resources["inGame/boat/boat.png"].texture);
  pixiRoot.addChild(sprite);
  sprite.anchor.set(0.5, 0.75);
  sprite.position.set(pos.x, pos.y);

  const boat = world.boat = {
    pos: new PIXI.Point(pos.x, pos.y),
    pixiRoot,
    sprite,
  };

  return boat;
}
